javafx.fxml

## Class LoadException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - javafx.fxml.LoadException

- All Implemented Interfaces:
    Serializable

      public class LoadException
      extends IOException

  Thrown when an error is encountered during a load operation.
  Since:
    JavaFX 2.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoadException()`
    `LoadException(String message)`
    `LoadException(String message, Throwable cause)`
    `LoadException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LoadException

          public LoadException()

    - #### LoadException

          public LoadException(String message)

    - #### LoadException

          public LoadException(Throwable cause)

    - #### LoadException

          public LoadException(String message,
                               Throwable cause)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 2008, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.